package org.eclipse.albireo.examples.plugin.actions;

import javax.swing.JOptionPane;

import org.eclipse.albireo.core.AwtEnvironment;
import org.eclipse.jface.action.IAction;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.IWorkbenchWindowActionDelegate;

public class NullParentDialogAction implements IWorkbenchWindowActionDelegate {

    private IWorkbenchWindow window;

    /**
     * The constructor.
     */
    public NullParentDialogAction() {
    }

    public void run(IAction action) {
        AwtEnvironment env = AwtEnvironment.getInstance(window.getShell().getDisplay());
        env.invokeAndBlockSwt(new Runnable() {
            public void run() {
                JOptionPane.showMessageDialog(null, "A Null Parent Message Dialog");
            }
        });
    }

    public void selectionChanged(IAction action, ISelection selection) {
    }

    public void dispose() {
    }

    public void init(IWorkbenchWindow window) {
        this.window = window;
    }
}
