package org.eclipse.albireo.examples.plugin.views;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Tree;
import org.eclipse.swt.widgets.TreeItem;
import org.eclipse.ui.part.ViewPart;

/**
 * This view is part of the focus example perspective.
 * It shows an SWT tree.
 */
public class FocusExampleView3 extends ViewPart {

    public static String ID = "org.eclipse.albireo.examples.plugin.focus3";

    Tree tree;

    public void createPartControl(Composite parent) {
        tree = new Tree(parent, SWT.NONE);

        TreeItem item1 = new TreeItem(tree, SWT.NONE);
        item1.setText("one");

        TreeItem item2 = new TreeItem(tree, SWT.NONE);
        item2.setText("two");

        TreeItem item3 = new TreeItem(tree, SWT.NONE);
        item3.setText("three");

        TreeItem item4 = new TreeItem(tree, SWT.NONE);
        item4.setText("four");
    }

    public void setFocus() {
        tree.setFocus();
    }
}
